package com.ynet.life.base;

import com.ynet.gene.component.factory.GENEFlowComponentFactory;
import com.ynet.gene.web.servlet.Initializer;
import com.ynet.life.exception.TranFailException;
import java.sql.Connection;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Hashtable;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Vector;

/* loaded from: com_ynet_life_base.jar:com/ynet/life/base/LifeInitializer.class */
public class LifeInitializer implements Initializer {
    protected static final String SQL_SELECT_ERRORINFO = "SELECT ERC_ERRCODE, ERC_LANGUAGE, ERC_SHOWMSG, ERC_LEVEL, ERC_RETURNPAGE FROM  PUB_ERRCODE";

    public void initialize(GENEFlowComponentFactory factory) throws Exception {
        LifeStandard.setFactory(factory);
        LifeStandard.setRootContext(factory.getContextNamed(factory.getRootContextName()));
        LifeStandard.initDBType();
        LifePlatManager.initBankDBSource();
        LifePlatManager.initBankGateway();
        Connection connection = null;
        try {
            Connection connection2 = LifeDBAccess.getConnection();
            connection = connection2;
            Map appParamTable = initAppParam(connection2);
            Map errorMessageTable = initErrorMessage(connection);
            Map sysParamTable = initSysParam(connection);
            List sysParamMap = new ArrayList();
            LifeStandard.initialize(sysParamTable, appParamTable, errorMessageTable, sysParamMap, null);
            if (connection != null) {
                LifeDBAccess.releaseConnection(connection);
            }
        } catch (Throwable th) {
            if (connection != null) {
                LifeDBAccess.releaseConnection(connection);
            }
            throw th;
        }
    }

    protected static Map initSysParam(Connection connection) throws TranFailException {
        return new HashMap();
    }

    protected static Map initFrontSysParam(Connection connection) throws TranFailException {
        return new HashMap();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public static Map initAppParam(Connection connection) throws TranFailException {
        return new HashMap();
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v18, types: [java.util.Map] */
    /* JADX WARN: Type inference failed for: r0v21, types: [java.util.Map] */
    public static void addAppParam(Map appParamTable, LifeAppParam app) {
        LinkedHashMap linkedHashMap;
        LinkedHashMap linkedHashMap2;
        String language = app.getLanguage();
        String key = app.getCode();
        if (appParamTable.containsKey(language)) {
            linkedHashMap = (Map) appParamTable.get(language);
        } else {
            linkedHashMap = new LinkedHashMap();
            appParamTable.put(language, linkedHashMap);
        }
        if (linkedHashMap.containsKey(key)) {
            linkedHashMap2 = (Map) linkedHashMap.get(key);
        } else {
            linkedHashMap2 = new LinkedHashMap();
            linkedHashMap.put(key, linkedHashMap2);
        }
        linkedHashMap2.put(app.getValue(), app);
    }

    protected static Map initErrorMessage(Connection connection) throws TranFailException {
        Map errorMessageTable = new HashMap();
        List resultList = LifeDBAccess.queryMultipleResult(connection, SQL_SELECT_ERRORINFO, null, 5);
        int resultSize = resultList.size();
        for (int i = 0; i < resultSize; i++) {
            List innerList = (List) resultList.get(i);
            String errorCode = (String) innerList.get(0);
            String language = (String) innerList.get(1);
            String showMessage = (String) innerList.get(2);
            int level = Integer.parseInt((String) innerList.get(3));
            String returnPage = (String) innerList.get(4);
            addErrInfo(errorMessageTable, new LifeErrorInfo(errorCode, language, showMessage, level, returnPage));
        }
        return errorMessageTable;
    }

    public static void addErrInfo(Map errorMessageTable, LifeErrorInfo errorInfo) {
        String key = String.valueOf(errorInfo.getErrorCode()) + '-' + errorInfo.getLanguage();
        errorMessageTable.put(key, errorInfo);
    }

    public static synchronized void syncApppar() throws TranFailException {
        Connection connection = null;
        try {
            Connection connection2 = LifeDBAccess.getConnection();
            connection = connection2;
            LifeStandard.syncApppar(initAppParam(connection2));
            LifeDBAccess.releaseConnection(connection);
        } catch (Throwable th) {
            LifeDBAccess.releaseConnection(connection);
            throw th;
        }
    }

    public static synchronized void syncErrorInfo() throws TranFailException {
        Connection connection = null;
        try {
            Connection connection2 = LifeDBAccess.getConnection();
            connection = connection2;
            LifeStandard.syncError(initErrorMessage(connection2));
            LifeDBAccess.releaseConnection(connection);
        } catch (Throwable th) {
            LifeDBAccess.releaseConnection(connection);
            throw th;
        }
    }

    protected static List initSysParamMap(Connection connection) throws TranFailException {
        return new Vector();
    }

    public static synchronized void syncSycApppar() throws TranFailException {
        Connection connection = null;
        try {
            Connection connection2 = LifeDBAccess.getConnection();
            connection = connection2;
            LifeStandard.syncSysAppparMap(initSysParam(connection2));
            LifeDBAccess.releaseConnection(connection);
        } catch (Throwable th) {
            LifeDBAccess.releaseConnection(connection);
            throw th;
        }
    }

    protected static Map initPlatFormDomain(Connection connection) throws TranFailException {
        return new Hashtable();
    }
}
